# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%{!?_mavenpomdir: %global _mavenpomdir %{_datadir}/maven2/poms}

%global namedversion %{version}

%bcond_with repolib

Name:           maven-script-interpreter
Version:        1.0
Release:        1%{?dist}
Epoch:          0
Summary:        Maven Script Interpreter
License:        ASL 2.0
Group:          Development/Java
URL:            http://maven.apache.org/shared/
%if 0
rm -rf maven-script-interpreter-1.0/ maven-script-interpreter-1.0.tar.bz2
svn -q export -r 1346031 http://svn.apache.org/repos/asf/maven/shared/tags/maven-script-interpreter-1.0 && \
tar cjf maven-script-interpreter-1.0.tar.bz2 maven-script-interpreter-1.0
%endif
Source0:        maven-script-interpreter-1.0.tar.bz2
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:       maven-shared-components >= 0:17
Requires:       maven2 >= 0:2.0.6
# XXX: 2.0.5
Requires:       plexus-utils
# XXX: 1.8.3
Requires:       groovy18 >= 0:1.8.1
# XXX: 2.0b4
Requires:       bsh2 >= 0:2.0
Requires:       ant >= 0:1.8.1
BuildRequires:  jpackage-utils
BuildRequires:  maven-shared-components >= 0:17
BuildRequires:  maven2 >= 0:2.0.6
# XXX: 2.0.5
BuildRequires:  plexus-utils
# XXX: 1.8.3
BuildRequires:  groovy18 >= 0:1.8.1
# XXX: 2.0b4
BuildRequires:  bsh2 >= 0:2.0
BuildRequires:  ant >= 0:1.8.1
# XXX: 4.10
BuildRequires:  junit4
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-deploy
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-release
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-site
BuildRequires:  maven2-plugin-surefire
BuildRequires:  maven-surefire-provider-junit4
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Maven Script Interpreter.

%package javadoc
Summary:        Javadoc for maven-script-interpreter
Group:          Development/Documentation
Requires:       jpackage-utils

%description javadoc
%{summary}.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q

%build
export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
export ALT_DEPLOYMENT_REPOSITORY=oss-releases::default::file:`pwd`/maven2-brew
%{_bindir}/mvn-jpp -e -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DaltDeploymentRepository=${ALT_DEPLOYMENT_REPOSITORY} deploy javadoc:aggregate

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p maven2-brew/org/apache/maven/shared/maven-script-interpreter/%{namedversion}/maven-script-interpreter-%{namedversion}.jar %{buildroot}%{_javadir}/maven-script-interpreter-%{namedversion}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} "s|-%{namedversion}||g"`; done)

%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p maven2-brew/org/apache/maven/shared/maven-script-interpreter/%{namedversion}/maven-script-interpreter-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-maven-script-interpreter.pom
%add_to_maven_depmap org.apache.maven.shared maven-script-interpreter %{namedversion} JPP maven-script-interpreter
[ -f %{buildroot}%{_mavendepmapfragdir}/maven-script-interpreter ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/maven-script-interpreter

%{__mkdir_p} %{buildroot}%{_javadocdir}/maven-script-interpreter-%{namedversion}
%{__cp} -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/maven-script-interpreter-%{namedversion}
%{__ln_s} maven-script-interpreter-%{namedversion} %{buildroot}%{_javadocdir}/maven-script-interpreter

%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%{__cp} -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc
%{_javadir}*/maven-script-interpreter-%{namedversion}.jar
%{_javadir}*/maven-script-interpreter.jar
%{_mavenpomdir}/JPP-maven-script-interpreter.pom
%{_mavendepmapfragdir}/maven-script-interpreter

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/maven-script-interpreter-%{namedversion}
%{_javadocdir}/maven-script-interpreter

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Mon Jun 04 2012 David Walluck <dwalluck@redhat.com> 0:1.0-1
- release
